import request from '@/utils/request'
import da from "element-ui/src/locale/lang/da";

//查询列表
export function getList(data){
  return request({
    url:'/open/home/mobile/zjdjg/list',
    method:'get',
    params:data
  })
}

//立案
export function registerOn(id){
  return request({
    url:'/house/jg/register/'+id,
    method:'post'
  })
}
//违法监管修改接口
export function supervisionAdd(data){
  return request({
    url:'/house/jg/edit',
    method:'post',
    data:data
  })
}

//违法监管修改接口
export function closeCase(data){
  return request({
    url:'/house/jg/closeCase',
    method:'post',
    data:data
  })
}

//监管信息查看接口
export function getSupervision(id){
  return request({
    url:'/house/jg/get/'+id,
    method:'get'
  })
}

//监管信息查看接口
export function removeList(id){
  return request({
    url:'/house/jg/remove/'+id,
    method:'get'
  })
}

export function getTaskListByDeptId(data){
  return request({
    url:'/house/mobile/zjdjg/taskListByDeptId',
    method:'get',
    params:data
  })
}

